Bug 1783746 - Smoke devrpm-el7 tests failing ([Errno 16] Device or resource busy: '/var/lib/mock/epel-7-x86_64/root/proc/filesystems')
Summary: Smoke devrpm-el7 tests failing ([Errno 16] Device or resource busy: '/var/lib...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: GlusterFS
Classification: Community
Component: project-infrastructure
Version: mainline
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: ---
Assignee: bugs@gluster.org
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-12-15 08:21 UTC by Yaniv Kaul
Modified: 2020-02-27 06:53 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-02-27 06:53:10 UTC
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:


Attachments (Terms of Use)

Description Yaniv Kaul 2019-12-15 08:21:40 UTC
See https://build.gluster.org/job/devrpm-el7/18689/console for example:


09:22:01 INFO: Start(glusterfs-8dev-0.328.gite1a5273.el7.src.rpm)  Config(epel-7-x86_64)
09:22:01 Start: clean chroot
09:22:03 ERROR: Exception(glusterfs-8dev-0.328.gite1a5273.el7.src.rpm) Config(epel-7-x86_64) 0 minutes 2 seconds
09:22:03 INFO: Results and/or logs in: /home/jenkins/root/workspace/devrpm-el7/RPMS/el7/x86_64/
09:22:03 INFO: Cleaning up build root ('cleanup_on_failure=True')
09:22:03 Start: clean chroot
09:22:05 Traceback (most recent call last):
09:22:05   File "/usr/lib/python3.6/site-packages/mockbuild/rebuild.py", line 23, in rebuild_generic
09:22:05     commands.clean()
09:22:05   File "/usr/lib/python3.6/site-packages/mockbuild/trace_decorator.py", line 95, in trace
09:22:05     result = func(*args, **kw)
09:22:05   File "/usr/lib/python3.6/site-packages/mockbuild/backend.py", line 93, in clean
09:22:05     self.buildroot.delete()
09:22:05   File "/usr/lib/python3.6/site-packages/mockbuild/trace_decorator.py", line 95, in trace
09:22:05     result = func(*args, **kw)
09:22:05   File "/usr/lib/python3.6/site-packages/mockbuild/buildroot.py", line 706, in delete
09:22:05     util.rmtree(self.basedir, selinux=self.selinux)
09:22:05   File "/usr/lib/python3.6/site-packages/mockbuild/trace_decorator.py", line 95, in trace
09:22:05     result = func(*args, **kw)
09:22:05   File "/usr/lib/python3.6/site-packages/mockbuild/util.py", line 257, in rmtree
09:22:05     rmtree(fullname, selinux=selinux, exclude=exclude)
09:22:05   File "/usr/lib/python3.6/site-packages/mockbuild/trace_decorator.py", line 95, in trace
09:22:05     result = func(*args, **kw)
09:22:05   File "/usr/lib/python3.6/site-packages/mockbuild/util.py", line 257, in rmtree
09:22:05     rmtree(fullname, selinux=selinux, exclude=exclude)
09:22:05   File "/usr/lib/python3.6/site-packages/mockbuild/trace_decorator.py", line 95, in trace
09:22:05     result = func(*args, **kw)
09:22:05   File "/usr/lib/python3.6/site-packages/mockbuild/util.py", line 265, in rmtree
09:22:05     os.remove(fullname)
09:22:05 OSError: [Errno 16] Device or resource busy: '/var/lib/mock/epel-7-x86_64/root/proc/filesystems'

Comment 1 Yaniv Kaul 2019-12-15 08:22:43 UTC
Perhaps it's just on builder14.int.rht.gluster.org ?

Comment 2 Dmitry Antipov 2019-12-24 08:53:54 UTC
No, at least builder27.int.rht.gluster.org is also affected, see https://build.gluster.org/job/devrpm-el7/18782.

Comment 3 Yaniv Kaul 2019-12-24 14:02:38 UTC
Another example - https://build.gluster.org/job/devrpm-el7/18805/console

Comment 4 Deepshikha khandelwal 2020-02-27 06:53:10 UTC
It was fixed.

Closing the bug.


Note You need to log in before you can comment on or make changes to this bug.